package com.shcd.boat.controller;

import com.alibaba.fastjson.JSONObject;
import com.shcd.boat.common.response.AjaxResult;
import com.shcd.boat.entity.BoatInfoEntity;
import com.shcd.boat.entity.ShipInfoResponse;
import com.shcd.boat.entity.gh.GHAisInfo;
import com.shcd.boat.mapper.ShipSealOffSpaceMapper;
import com.shcd.boat.service.BoatRedisService;
import com.shcd.boat.service.ShipSealOffService;
import com.shcd.boat.utils.GhjgRpcUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.math.BigDecimal;
import java.util.List;

/**
 * 类名:@Name - BoatRedisController
 * 功能描述:@Function Description<>
 * 日期:@Date - 2025/1/8 14:12
 * 作者:@Created by zrj
 */

@RestController
@RequestMapping("/boat")
public class BoatRedisController {

    @Autowired
    private BoatRedisService boatRedisService;

    @Autowired
    private ShipSealOffService sealOffServicse;

//    @Autowired
//    private ShipSealOffSpaceMapper shipSealOffSpaceMappers;

    @PostMapping
    public AjaxResult save(@Validated @RequestBody BoatInfoEntity dto) {
        return AjaxResult.success(boatRedisService.saveBoatInfo(dto));
    }

    @GetMapping("/{id}")
    public AjaxResult getBoatInfo(@PathVariable String id) {
        return AjaxResult.success(boatRedisService.getBoatInfo(id));
    }

    @DeleteMapping("/{id}")
    public AjaxResult remove(@PathVariable String id) {
        return AjaxResult.success(boatRedisService.removeBoatInfo(id));
    }
    @GetMapping("/analysisData")
    public AjaxResult analysisData() throws InterruptedException {

//        List<GHAisInfo> leftPoints=  sealOffServicse.analysisData(new BigDecimal("9710.84684148"),new BigDecimal("0.06495828"),new BigDecimal("-5650.65077473"),new BigDecimal("-8201.43027414"));
//        return AjaxResult.success(shipSealOffSpaceMappers.getAllInOut(leftPoints));
        sealOffServicse.analysisGISPointInData();
        return AjaxResult.success();
//        JSONObject params1 = new JSONObject();
//        params1.put("pageIndex", 1);
//        params1.put("pageSize", 500);
//        params1.put("mmsi", "413883142");
//        ShipInfoResponse response = GhjgRpcUtils.getShipInfo(" http://192.168.20.61:8087/ghThreeDataShare", params1);
//                return AjaxResult.success(response);
    }


}
