package com.shcd.boat.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 类名:@Name - ObjCargoDeclare
 * 功能描述:@Function Description<>
 * 日期:@Date - 2025/2/19 15:46
 */
@Data
public class ObjCargoDeclare implements Serializable {
    private static final long serialVersionUID = 1L;
//    @ApiModelProperty(value = "申报编号")
    @TableId
    private String declareNo;
//    @ApiModelProperty(value = "经营单位证照编码")
    private String businessUnitCode;
//    @ApiModelProperty(value = "经营单位证照编码")
    private String punishmentNo;
//    @ApiModelProperty(value = "开工时间")
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd HH:mm:ss")
    private Date startWorkTime;
//    @ApiModelProperty(value = "完工时间")
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd HH:mm:ss")
    private Date endWorkTime;
//    @ApiModelProperty(value = "船舶名称")
    private String shipName;
//    @ApiModelProperty(value = "泊位编码")
    private String berthCode;
//    @ApiModelProperty(value = "进出港")
    private String inOutPort;
//    @ApiModelProperty(value = "进港")
    private String portCode;
//    @ApiModelProperty(value = "出港")
    private String transferPortCode;
//    @ApiModelProperty(value = "货物编码")
    private String cargoCode;
//    @ApiModelProperty(value = "包装类型编码")
    private String packCode;
//    @ApiModelProperty(value = "包装类型名称")
    private String packName;
//    @ApiModelProperty(value = "进出港方式0：水路1：铁路 2：公路 3：管道 4：其他 用于交统港12表")
    private String inOutPortMode;
//    @ApiModelProperty(value = "操作方式 0:船？船，1:船岸，2:内贸供水，3:外贸供水，4:内贸供油，5:外贸供油")
    private String operationMode;

//    @ApiModelProperty(value = "申报吨")
    private BigDecimal declareTon;
//    @ApiModelProperty(value = "实际作业吨")
    private BigDecimal realTon;
//    @ApiModelProperty(value = "申报人")
    private String declarer;
//    @ApiModelProperty(value = "申报时间")
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd HH:mm:ss")
    private Date declareDate;
//    @ApiModelProperty(value = "最近更新时间")
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd HH:mm:ss")
    private Date lastUpdateDate;
//    @ApiModelProperty(value = "申报标志")
    private String declareFlag;
//    @ApiModelProperty(value = "备注")
    private String remark;
//    @ApiModelProperty(value = "内外贸")
    private String feeType;
//    @ApiModelProperty(value = "同步字段")
    private String includeDangerCargo;
//    @ApiModelProperty(value = "同步字段")
    private String checkShip;
//    @ApiModelProperty(value = "同步字段")
    private String shipCountry;
//    @ApiModelProperty(value = "同步字段")
    private String isDeclared;
//    @ApiModelProperty(value = "更新时间")
    private Date uploadTime;
//    @ApiModelProperty(value = "是否修改过")
    private Integer isUpdate;
//    @ApiModelProperty(value = "吞吐量")
    private BigDecimal throughput;
//    @ApiModelProperty(value = "数据来源  0，自建 1，导入 2，危货同步 3，宝钢同步")
    private Integer sourceType;
//    @ApiModelProperty(value = "创建时间")
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd HH:mm:ss")
    private Date createTime;
//    @ApiModelProperty(value = "是否逻辑删除")
    private Integer deleteFlag;
//    @ApiModelProperty(value = "创建人")
    private String createUser;
//    @ApiModelProperty(value = "更新人")
    private String updateUser;
//    @ApiModelProperty(value = "是否推送至电科所，1是，0否")
    private String isSub;
//    @ApiModelProperty(value = "货物编码")
    private String column2;

    private String column3;

    private String column4;

    private String column5;

    private String column6;
//    @ApiModelProperty(value = "完成状态：0是未完工，1是已完工")
    private Integer isFinish;
//    @ApiModelProperty(value = "货物编码")
    private BigDecimal shipLoad;
//    @ApiModelProperty(value = "九位码")
    private String mmsi;
//    @ApiModelProperty(value = "船舶唯一标识")
    private String shipRegNo;
//    @ApiModelProperty(value = "完工提交时间")
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd HH:mm:ss")
    private Date finishSubTime;
//    @ApiModelProperty(value = "是否是危险品 1是危险品")
    private Integer isRisk;
//    @ApiModelProperty(value = "货物名称")
    private String cargoName;
//    @ApiModelProperty(value = "发送类型")
    private String sandSource;

    private Integer sandSourceWhere;

    private String businessUnitId;

    private String column1;
//    @ApiModelProperty(value = "危货申报原始ID 同步专用")
    private String declareIdRaw;
//    @ApiModelProperty(value = "危货申报最新ID 同步专用")
    private String declareIdNew;

//    @ApiModelProperty(value = "船舶联系方式")
    private String shipPhone;

    @TableField(exist = false)
    private String isClose;
}
