package com.shcd.boat.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 类名:@Name - ShipRecords
 * 功能描述:@Function Description<>
 * 日期:@Date - 2025/2/21 11:02
 */
@Data
@EqualsAndHashCode(callSuper = false)
//@ApiModel(value="ShipRecords对象", description="")
public class ShipRecords implements Serializable {

    private static final long serialVersionUID = 1L;

//    @ApiModelProperty(value = "管理平台系统订单编号")
    @TableId(value = "connrecordseq", type = IdType.ASSIGN_ID)
    private String connrecordseq;

//    @ApiModelProperty(value = "港口名称")
    private String portname;

//    @ApiModelProperty(value = "港口企业名称")
    private String enterprisesname;

//    @ApiModelProperty(value = "岸电实际经营人名称")
    private String operatorname;

//    @ApiModelProperty(value = "船名称")
    private String shipname;

//    @ApiModelProperty(value = "船舶识别号/IMO 代码")
    private String shipnumber;

//    @ApiModelProperty(value = "船舶吨位")
    private Integer shipgrosstonnage;

//    @ApiModelProperty(value = "船舶登记港")
    private String shiphomeport;

//    @ApiModelProperty(value = "用户启动方式")
    private Integer userchargetype;

//    @ApiModelProperty(value = "用户手机号（扫码启动时必填）")
    private String mobilenum;

//    @ApiModelProperty(value = "启动时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date starttime;

//    @ApiModelProperty(value = "结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endtime;

//    @ApiModelProperty(value = "实际向船舶受电总时间（秒）")
    private Integer duration;

//    @ApiModelProperty(value = "电量（kWh）")
    private BigDecimal elect;

//    @ApiModelProperty(value = "总金额（元）")
    private BigDecimal money;

//    @ApiModelProperty(value = "电量金额（元）")
    private BigDecimal electmoney;

//    @ApiModelProperty(value = "服务金额（元）")
    private BigDecimal servicemoney;

//    @ApiModelProperty(value = "支付金额")
    private BigDecimal paymentamount;

//    @ApiModelProperty(value = "支付时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date paytime;

//    @ApiModelProperty(value = "支付渠道")
    private Integer paychannel;

//    @ApiModelProperty(value = "记录修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date modifytime;

//    @ApiModelProperty(value = "连船记录类型（低压、高压）")
    private String conntype;

//    @ApiModelProperty(value = "泊位名称")
    private String berthname;

//    @ApiModelProperty(value = "泊位类型")
    private String berthtype;

//    @ApiModelProperty(value = "设计靠泊能力(吨)")
    private String capacity;

//    @ApiModelProperty(value = "id")
    private String id;


}
