package com.shcd.boat.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 船舶封航表预警表
 * </p>
 *
 * @author shcd
 * @since 2025-01-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
//@ApiModel(value="ShipSealOffInfo对象", description="船舶封航表预警表")
@TableName("pdhw.ship_seal_off_info")
public class ShipSealOffInfo implements Serializable {

    private static final long serialVersionUID = 1L;
    @TableId(value = "seal_id", type = IdType.ASSIGN_ID)
    private String sealId;

//    @ApiModelProperty(value = "船舶名称")
    private String shipName;

    private String mmsi;

//    @ApiModelProperty(value = "联系电话")
    private String shipPhone;

//    @ApiModelProperty(value = "船舶型宽-非查询")
    private BigDecimal shipBreadth;

//    @ApiModelProperty(value = "预警所在航道-非查询")
    private String warningChannel;
//
//    @ApiModelProperty(value = "船舶长度-非查询")
    private BigDecimal shipLength;

//    @ApiModelProperty(value = "船籍港名称-非查询")
    private String regportName;

//    @ApiModelProperty(value = "船舶种类名称-非查询")
    private String shipTypeName;

//    @ApiModelProperty(value = "船舶所有人-非查询")
    private String shipOwnerCn;

//    @ApiModelProperty(value = "开始预警时间-非查询")
    private Date startWarning;

//    @ApiModelProperty(value = "预警时间")
    private Date warningTime;

//    @ApiModelProperty(value = "预警航次船舶状态 航行中-已停舶-已离开电子围栏")
    private String warningStatus;

//    @ApiModelProperty(value = "预警核实状态")
    private String warningVerifyStatus;


//    @ApiModelProperty(value = "备注")
    private String remark;

//    @ApiModelProperty(value = "创建者")
    private String createBy;

//    @ApiModelProperty(value = "创建时间")
    private Date createTime;

//    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

//    @ApiModelProperty(value = "更新者")
    private String updateBy;

//    @ApiModelProperty(value = "删除标志（0代表存在 2代表删除）")
    private String delFlag;


}
