package com.shcd.boat.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 岸电预警表
 * </p>
 *
 * @author shcd
 * @since 2025-02-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
//@ApiModel(value="ShorePowerinfo对象", description="岸电预警表")
public class ShorePowerinfo implements Serializable {

    private static final long serialVersionUID = 1L;

//    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

//    @ApiModelProperty(value = "企业名称")
    private String businessName;

//    @ApiModelProperty(value = "码头名称")
    private String wharfName;

//    @ApiModelProperty(value = "船舶名称")
    private String shipName;

//    @ApiModelProperty(value = "mmsi")
//    @Excel(name = "mmsi")
    private String mmsi;

//    @ApiModelProperty(value = "船舶靠泊时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date shipBerthingTime;

//    @ApiModelProperty(value = "船舶离泊时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date shipDepartureTime;

//    @ApiModelProperty(value = "预警开始时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date warningTime;

//    @ApiModelProperty(value = "创建时间")
    private Date createTime;

//    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

//    @ApiModelProperty(value = "创建者")
    private String createBy;

//    @ApiModelProperty(value = "修改者")
    private String updateBy;

//    @ApiModelProperty(value = "删除标志（0代表存在 2代表删除）")
    private String delFlag;

//    @ApiModelProperty(value = "是否预警（0未预警 1已预警）")
    private String isWarning;

//    @ApiModelProperty(value = "货物装卸id")
    private String declareId;

}
