package com.shcd.boat.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 类名:@Name - SurveillancePointinfo
 * 功能描述:@Function Description<>
 * 日期:@Date - 2025/3/19 9:42
 * 作者:@Created by zrj
 */
@Data
@EqualsAndHashCode(callSuper = false)
//@ApiModel(value="SurveillancePointinfo对象", description="监控点位信息表")
public class SurveillancePointinfo implements Serializable {

    private static final long serialVersionUID = 1L;

//    @ApiModelProperty(value = "主键id")
    @TableId(value = "point_id", type = IdType.ASSIGN_ID)
    private String pointId;

//    @ApiModelProperty(value = "与空间表的id相联系")
    @TableField("xy_id")
    private String xyId;

//    @ApiModelProperty(value = "区域id")
    private String regionId;

//    @ApiModelProperty(value = "设备id")
    @TableField("eq_id")
    private String eqId;

//    @ApiModelProperty(value = "监控点编号（通用唯一识别码UUID）")
    @TableField("camera_index_code")
    private String cameraIndexCode;

//    @ApiModelProperty(value = "监控点国标编号")
    @TableField("gb_index_code")
    private String gbIndexCode;

//    @ApiModelProperty(value = "监控点名称")
    private String name;

//    @ApiModelProperty(value = "所属设备编号（通用唯一识别码UUID）")
    @TableField("device_index_code")
    private String deviceIndexCode;

//    @ApiModelProperty(value = "经度（WGS84坐标系）")
    private String longitude;

//    @ApiModelProperty(value = "纬度（WGS84坐标系）")
    private String latitude;

//    @ApiModelProperty(value = "海拔高度（WGS84坐标系，单位：米）")
    private String altitude;

//    @ApiModelProperty(value = "摄像机像素（1-普通像素，2-130万高清，3-200万高清，4-300万高清，取值参考数据字典）")
    private Long pixel;

//    @ApiModelProperty(value = "监控点类型（0-枪机,1-半球,2-快球,3-带云台枪机）")
    @TableField("camera_type")
    private Long cameraType;

//    @ApiModelProperty(value = "监控点类型说明")
    @TableField("camera_type_name")
    private String cameraTypeName;

//    @ApiModelProperty(value = "安装位置")
    @TableField("install_place")
    private String installPlace;

//    @ApiModelProperty(value = "矩阵编号")
    @TableField("matrix_code")
    private String matrixCode;

//    @ApiModelProperty(value = "通道号")
    @TableField("chan_num")
    private Long chanNum;

//    @ApiModelProperty(value = "可视域相关（JSON格式）")
    private String viewshed;

//    @ApiModelProperty(value = "能力集")
    @TableField("capability_set")
    private String capabilitySet;

//    @ApiModelProperty(value = "能力集说明")
    @TableField("capability_set_name")
    private String capabilitySetName;

//    @ApiModelProperty(value = "智能分析能力集")
    @TableField("intelligent_set")
    private String intelligentSet;

//    @ApiModelProperty(value = "智能分析能力集说明")
    @TableField("intelligent_set_name")
    private String intelligentSetName;

//    @ApiModelProperty(value = "录像存储位置")
    @TableField("record_location")
    private String recordLocation;

//    @ApiModelProperty(value = "云台控制（1-DVR,2-模拟矩阵,3-MU4000,4-NC600，取值参考数据字典）")
    @TableField("ptz_controller")
    private Long ptzController;

//    @ApiModelProperty(value = "云台控制说明")
    @TableField("ptz_controller_name")
    private String ptzControllerName;

//    @ApiModelProperty(value = "所属设备类型（详见数据字典）")
    @TableField("device_resource_type")
    private String deviceResourceType;

//    @ApiModelProperty(value = "所属设备类型说明")
    @TableField("device_resource_type_name")
    private String deviceResourceTypeName;

//    @ApiModelProperty(value = "通道子类型（详见数据字典）")
    @TableField("channel_type")
    private String channelType;

//    @ApiModelProperty(value = "通道子类型说明")
    @TableField("channel_type_name")
    private String channelTypeName;

//    @ApiModelProperty(value = "传输协议（0-UDP，1-TCP，取值参考数据字典）")
    @TableField("trans_type")
    private Long transType;

//    @ApiModelProperty(value = "传输协议类型说明")
    @TableField("trans_type_name")
    private String transTypeName;

//    @ApiModelProperty(value = "监控点更新时间（ISO8601格式yyyy-MM-dd'T'HH:mm:ss.SSSXXX）")
    @TableField("update_time")
    private String updateTime;

//    @ApiModelProperty(value = "监控点创建时间（ISO8601格式yyyy-MM-dd'T'HH:mm:ss.SSSXXX）")
    @TableField("create_time")
    private String createTime;

//    @ApiModelProperty(value = "更新系统时间（ISO8601格式yyyy-MM-dd'T'HH:mm:ss.SSSXXX）")
    @TableField("update_sys_time")
    private Date updateSysTime;

//    @ApiModelProperty(value = "创建系统时间（ISO8601格式yyyy-MM-dd'T'HH:mm:ss.SSSXXX）")
    @TableField("create_sys_time")
    private Date createSysTime;

//    @ApiModelProperty(value = "所属组织编号（通用唯一识别码UUID）")
    @TableField("unit_index_code")
    private String unitIndexCode;

//    @ApiModelProperty(value = "接入协议（详见数据字典）")
    @TableField("treaty_type")
    private String treatyType;

//    @ApiModelProperty(value = "接入协议类型说明")
    @TableField("treaty_type_name")
    private String treatyTypeName;

//    @ApiModelProperty(value = "在线状态（0-不在线，1-在线，取值参考数据字典）")
    private Long status;

//    @ApiModelProperty(value = "状态说明")
    @TableField("status_name")
    private String statusName;

//    @ApiModelProperty(value = "删除标志（0代表存在 2代表删除）")
    @TableField("del_flag")
    private String delFlag;

//    @ApiModelProperty(value = "创建者")
    @TableField("create_by")
    private String createBy;

//    @ApiModelProperty(value = "更新者")
    @TableField("update_by")
    private String updateBy;

}
