package com.shcd.boat.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 类名:@Name - SysEnterprise
 * 功能描述:@Function Description<>
 * 日期:@Date - 2025/2/25 14:08
 */
@Data
@EqualsAndHashCode(callSuper = false)
//@ApiModel(value="SysEnterprise对象", description="企业信息表")
public class SysEnterprise implements Serializable {

    private static final long serialVersionUID = 1L;

//    @ApiModelProperty(value = "企业ID")
    @TableId(value = "enterprise_id", type = IdType.ASSIGN_ID)
    private String enterpriseId;

//    @ApiModelProperty(value = "企业名称")
    private String enterpriseName;

//    @ApiModelProperty(value = "企业英文名称")
    private String enterpriseEnName;

//    @ApiModelProperty(value = "业户类别 共五种：1个体、2企业、3分支机构、4非正规就业、5机关或事业单位。注：非正规就业无需在工商部门注册，只需经劳动部门登记认可，运政即可予以办理手续。汽修：不显示：4、5停车：历史存在4的情况，新的不允许。例如：123 以外的其他，无工商执照，如服务社等。")
    private String manageClass;

//    @ApiModelProperty(value = "企业统一社会信用代码")
    private String taxLicense;

//    @ApiModelProperty(value = "法定代表人")
    private String legalPerson;

//    @ApiModelProperty(value = "法人代表的证件名称，目前只允许两种证件：1.居民身份证、2.护照。汽修：非必填（目前受理所填表格不采集此信息）停车：不要")
    private String legalPersonDocumentType;

//    @ApiModelProperty(value = "法定代表人证件编号汽修：非必填停车：不要法定代表人证件编号汽修：非必填停车：不要")
    private String legalPersonDocumentNum;

//    @ApiModelProperty(value = "法人联系电话")
    private String legalPersonPhone;

//    @ApiModelProperty(value = "业户的联系电话，如：总机 停车：或联系人电话")
    private String phoneNumber;

//    @ApiModelProperty(value = "业户的电子邮件地址")
    private String email;

//    @ApiModelProperty(value = "经营业户《工商营业执照》上的号码，凡是在工商系统中注册过的企业都有一个唯一的工商登记号。汽修：不显示(前置许可, 还未申请工商营业执照，无法填)停车：必填经营业户《工商营业执照》上的号码，凡是在工商系统中注册过的企业都有一个唯一的工商登记号。汽修：不显示(前置许可, 还未申请工商营业执照，无法填)停车：必填")
    private String businessLicense;

//    @ApiModelProperty(value = "包括四类：国家、非上海、上海市、上海市各区县汽修、停车：必填汽修：不显示(前置许可, 还未申请工商营业执照，无法填)停车：必填")
    private String registeredDistrict;

//    @ApiModelProperty(value = "工商营业执照登记的地址")
    private String registeredAddress;

//    @ApiModelProperty(value = "税务登记证号")
    private String licenseNumber;

//    @ApiModelProperty(value = "业户注销日期。业户所有业态注销后，业户注销，该日期为最后一个注销业态的注销日期。")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date cancellationDate;

//    @ApiModelProperty(value = "禁用标志（0正常 1禁用）")
    private String forbiddenStatus;

//    @ApiModelProperty(value = "用户更新标志(0未更新 1已更新）")
    private String editStatus;

//    @ApiModelProperty(value = "同步标志（0自建 1同步）")
    private String syncStatus;

//    @ApiModelProperty(value = "企业描述")
    private String description;

//    @ApiModelProperty(value = "经营范围")
    private String businessScope;

//    @ApiModelProperty(value = "经营状态")
    private String businessStatus;

//    @ApiModelProperty(value = "经济类型")
    private String econType;

//    @ApiModelProperty(value = "经营地所在区县")
    private String businessCounty;

//    @ApiModelProperty(value = "经营地址")
    private String businessAddr;

//    @ApiModelProperty(value = "经营地址邮编")
    private String businessPostalCode;

//    @ApiModelProperty(value = "注册日期")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date regTime;

//    @ApiModelProperty(value = "注册地所在区县")
    private String regCounty;

//    @ApiModelProperty(value = "注册地邮编")
    private String regPostalCode;

//    @ApiModelProperty(value = "注册电话")
    private String regPhoneNumber;

//    @ApiModelProperty(value = "联系人")
    private String relPerson;

//    @ApiModelProperty(value = "工商登记号核发日期")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date busiDistDate;

//    @ApiModelProperty(value = "国税登记号核发日期")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date taxDistDate;

//    @ApiModelProperty(value = "注册资金人民币(万)")
    private String regCapitalRmb;

//    @ApiModelProperty(value = "注册资金美金")
    private String regCapitalUsd;

//    @ApiModelProperty(value = "创建者")
    private String createBy;

//    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date createTime;

//    @ApiModelProperty(value = "更新者")
    private String updateBy;

//    @ApiModelProperty(value = "更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date updateTime;

//    @ApiModelProperty(value = "备注")
    private String remark;

    private String column1;

    private String column2;

    private String column3;

    private String column4;

    private String column5;


}
