package com.shcd.boat.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.shcd.boat.entity.AisShoreLine;
import com.shcd.boat.entity.HkShoreLine;
import com.shcd.boat.entity.ShoreLinePointsSpace;
import com.shcd.boat.entity.gh.GHAisInfo;
import com.shcd.boat.mapper.ShoreLinePointsSpaceMapper;
import com.shcd.boat.service.IShoreLinePointsSpaceService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 类名:@Name - ShoreLinePointsSpaceServiceImpl
 * 功能描述:@Function Description<>
 * 日期:@Date - 2025/2/20 14:57
 */
@Service
@Slf4j
public class ShoreLinePointsSpaceServiceImpl extends ServiceImpl<ShoreLinePointsSpaceMapper, ShoreLinePointsSpace> implements IShoreLinePointsSpaceService {

    @Autowired
    private ShoreLinePointsSpaceMapper shoreLinePointsSpaceMapper;


    @Override
    public List<AisShoreLine> analysisAisPoint() {
        return shoreLinePointsSpaceMapper.analysisAisPoint();

    }

    @Override
    public void removeByMMsi(String mmsi) {
        shoreLinePointsSpaceMapper.removeByMMsi(mmsi);
    }

    @Override
    public List<HkShoreLine> analysisHkPoint() {
        return shoreLinePointsSpaceMapper.analysisHkPoint();

    }
}
