package com.shcd.boat.utils;

import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.JSONObject;
import com.hikvision.artemis.sdk.ArtemisHttpUtil;
import com.hikvision.artemis.sdk.config.ArtemisConfig;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;
import org.springframework.util.ObjectUtils;

import javax.annotation.PostConstruct;
import java.util.HashMap;
import java.util.Map;

/**
 * 类名:@Name - HaikangUtils
 * 功能描述:@Function Description<>
 * 日期:@Date - 2025/3/4 15:36
 */
@Component
@Slf4j
public class HaikangUtils {

    private static HaikangUtils  haikangUtils;
    private static final String HK_URL_TOKEN = "/api/v1/oauth/token";

    private static final String TOKEN_SIGNATURE = "ggsW3z7o2xOU0tCs1MtiPnzbwVMLCDerEFHwWO6y23o=";

    private static final String TOKEN_SIGNATURE_HEADERS = "x-ca-key";

    private static final String TOKEN_KEY = "22396649";
    @Value("${hiakangvideo}")
    private String host;
    @Value("${hiakangAppKey}")
    private String appKey;
    @Value("${hiakangAppSecret}")
    private String hiakangAppSecret;

    public static JSONObject post(String paths, String body, Map<String, String> querys, String accept, Map<String, String> header)
    {
        Map<String, String> path = new HashMap<String, String>(2) {
            {
                put("https://", "/artemis"+paths);//根据现场环境部署确认是http还是https
            }
        };
        String contentType = "application/json";
        String result= ArtemisHttpUtil.doPostStringArtemis(path,body,querys,accept,contentType,header);
        return JSON.parseObject(result);
    }

    @PostConstruct
    public void init() {
        ArtemisConfig.host = host; // 平台的ip端口
        ArtemisConfig.appKey = appKey;  // 密钥appkey
        ArtemisConfig.appSecret = hiakangAppSecret;// 密钥appSecret
        haikangUtils = this;
    }


    public static String getToken() {
        log.info("开始获取token");
        Map<String, String> header = new HashMap<>();
        header.put("X-Ca-Key", TOKEN_KEY);
        header.put("X-Ca-Signature-Headers", TOKEN_SIGNATURE_HEADERS);
        header.put("X-Ca-Signature", TOKEN_SIGNATURE);
        JSONObject response = HaikangUtils.post(HK_URL_TOKEN, null, null, null, null);
        log.info("获取token，请求结果：" + response);
        if(ObjectUtils.isEmpty(response)){
            return null;
        }
        //Integer code = (Integer) jsonObject.get("code");
        Map token = response.getJSONObject("data");
        String access_token = (String)token.get("access_token");
        log.info("token:" + access_token);
        return access_token;
    }

}
