package com.shcd.boat.service;

import com.alibaba.fastjson2.JSONObject;
import com.shcd.boat.entity.BoatInfoEntity;
import com.shcd.boat.entity.PointInfoEntity;
import com.shcd.boat.entity.gh.GHAisInfo;
import com.shcd.boat.mapper.ShipSealOffSpaceMapper;
import org.bytedeco.javacv.FFmpegFrameGrabber;
import org.bytedeco.javacv.Frame;
import org.bytedeco.javacv.Java2DFrameConverter;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;
import javax.imageio.ImageIO;
import java.awt.image.BufferedImage;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.InputStream;
import java.math.BigDecimal;
import java.net.URL;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.StandardCopyOption;
import java.util.ArrayList;
import java.util.Base64;
import java.util.Date;
import java.util.List;
import java.util.UUID;

/**
 * 类名:@Name - BoatRedisTest
 * 功能描述:@Function Description<>
 * 日期:@Date - 2025/1/9 10:15
 * 作者:@Created by zrj
 */
@RunWith(SpringRunner.class)
@SpringBootTest
public class BoatRedisTest {

    @Autowired
    private BoatRedisService boatRedisService;


    @Resource
    private ShipSealOffSpaceMapper shipSealOffSpaceMapper;

    @Test
    public void method(){
        List<GHAisInfo> aisInfosAll=new ArrayList<>();
        GHAisInfo ghAisInfo=new GHAisInfo();
        ghAisInfo.setMapx(new BigDecimal("10078.548"));
        ghAisInfo.setMapy(new BigDecimal("5942.117"));
        ghAisInfo.setDeviCeid("a11111111111111111111111");
        ghAisInfo.setBoatName("a22222222222222222222");
        ghAisInfo.setGpsTime(new Date());
        aisInfosAll.add(ghAisInfo);
        GHAisInfo ghAisInfo1=new GHAisInfo();
        ghAisInfo1.setMapx(new BigDecimal("10999.548"));
        ghAisInfo1.setMapy(new BigDecimal("5902.117"));
        ghAisInfo1.setDeviCeid("b11111111111111111111111");
        ghAisInfo1.setBoatName("b22222222222222222222");
        aisInfosAll.add(ghAisInfo1);
        GHAisInfo ghAisInfo2=new GHAisInfo();
        ghAisInfo2.setMapx(new BigDecimal("10080.548"));
        ghAisInfo2.setMapy(new BigDecimal("7042.117"));
        ghAisInfo2.setDeviCeid("c11111111111111111111111");
        ghAisInfo2.setBoatName("c22222222222222222222");
        aisInfosAll.add(ghAisInfo2);
        List<GHAisInfo> booleans= shipSealOffSpaceMapper.getAllInOut(aisInfosAll);
        System.out.println(booleans.toString());
    }

    @Test
    public void m2(){
        String id = "cd1966a4-ea94-459a-a342-ed28fe17d75e";
        BoatInfoEntity boatInfo = boatRedisService.getBoatInfo(id);
        System.out.println(boatInfo);
    }


    @Autowired
    private HaiKangService haiKangService;

    @Test
    public void m3(){
        JSONObject jsonObject= new JSONObject();
        jsonObject.put("cameraIndexCode","6f11bd6f67cb430582abb84a4c5a7ff3");
        jsonObject.put("protocol","hls");
        jsonObject.put("streamType",0);
        jsonObject.put("transmode",0);
        String socketURL = haiKangService.getSocketURL(jsonObject);
        System.out.println("海康视频流:" + socketURL);
        // 1. 初始化视频流抓取器

        try {
            FFmpegFrameGrabber grabber = FFmpegFrameGrabber.createDefault(socketURL);
            Java2DFrameConverter converter = new Java2DFrameConverter();
            grabber.start();

            Frame frame = grabber.grabImage();
            if (frame == null) {
                System.out.println("未获取到有效帧！");
                return;
            }
            // 生成带时间戳的文件名
            String timestamp = String.valueOf(System.currentTimeMillis());
            BufferedImage image = converter.getBufferedImage(frame);
            File output = new File("capture_" + timestamp + ".jpg");
            ImageIO.write(image, "jpg", output);
            System.out.println("截图已保存：" + output.getAbsolutePath());

        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @Test
    public  void m4() {

    }
}
